.calculator-section-1 {
  background-color: var(--gray-50);
  --greenColor: #14e0a1;
  --purpleColor: #641db0;
  --lightPurpleColor: #f7f4fb;
  --border-gray: #c4c4c4;
  --purpleGradient: linear-gradient(0deg, #5a11b8 30.29%, #261562 100%);
  --greenGradient: linear-gradient(180deg, #5d6b99 0%, #5d6b99 100%);
  --chart-container-height: 325px;
  --x-label-height: 45px;
  --chart-height: calc(var(--chart-container-height) - var(--x-label-height));
  --chart-line-gray: #f4f8f8;
  --chart-text: #333333;
}
.calculator-section-1 .content {
  flex-direction: column;
  gap: 0;
}
.calculator-section-1 .state-label {
  display: flex;
  align-items: center;
}
.calculator-section-1 .state-tool-tip {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  height: 13px;
  width: 13px;
  border: 1px solid #a4a7ae;
  color: #717680;
  font-size: 9px;
  line-height: 13px;
  border-radius: 50%;
  margin-left: 7px;
  transition: all 0.3s ease;
  cursor: pointer;
}
.calculator-section-1 .state-tool-tip:hover {
  color: #414651;
  border-color: #414651;
}
.calculator-section-1 .state-tool-tip:hover .state-tool-tip-content {
  z-index: 2;
  opacity: 1;
  transition: opacity 0.3s ease;
  pointer-events: auto;
}
.calculator-section-1 .state-tool-tip-content {
  position: absolute;
  top: 5px;
  transform: translateY(-50%);
  left: calc(100% + 15px);
  width: 320px;
  height: auto;
  color: white;
  background-color: #181d27;
  font-size: 12px;
  line-height: 18px;
  padding: 15px;
  border-radius: var(--border-radius-md);
  z-index: -1;
  opacity: 0;
  transition: opacity 0.3s ease, z-index 0s 0.3s;
  pointer-events: none;
}
.calculator-section-1 .state-tool-tip-content:before {
  content: "";
  position: absolute;
  display: inline-block;
  top: calc(50% - 5px);
  left: -5px;
  width: 10px;
  height: 10px;
  transform: rotate(45deg);
  background-color: #181d27;
}
.calculator-section-1 div {
  box-sizing: border-box;
}
.calculator-section-1 .calcualtor-section-title {
  font-weight: 600;
  margin-bottom: 15px;
}
.calculator-section-1 .form-and-result-wrapper {
  display: flex;
  width: 100%;
  overflow: hidden;
}
.calculator-section-1 .calculator-form {
  width: auto;
  max-width: 410px;
  font-size: 18px;
  padding-right: 20px;
}
.calculator-section-1 .calculator-form .calculator-form-title {
  margin-bottom: 40px;
  color: var(--gray-600);
}
.calculator-section-1 .calculator-form .form-field {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-bottom: 30px;
  position: relative;
  font-size: 16px;
  max-width: var(--input-max-width);
}
.calculator-section-1 .calculator-form .form-field:has(select)::after {
  content: "";
  position: absolute;
  top: 60%;
  right: 20px;
  width: 8px;
  height: 8px;
  pointer-events: none;
  border-right: 2px solid #a4a7ae;
  border-bottom: 2px solid #a4a7ae;
  transform: rotate(45deg);
}
.calculator-section-1 .calculator-form label {
  color: var(--gray-700);
  font-size: 14px;
  font-weight: 500;
  margin-bottom: 4px;
  padding-left: 7px;
}
.calculator-section-1 .calculator-form select:focus,
.calculator-section-1 .calculator-form input:focus {
  background-color: var(--chart-line-gray);
}
.calculator-section-1 .calculator-form select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding-right: 30px;
  background-image: none;
  background-color: white;
  cursor: pointer;
  color: inherit;
  -webkit-text-fill-color: inherit;
}
.calculator-section-1 .calculator-form .currency-input-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}
.calculator-section-1 .calculator-form .currency-prefix,
.calculator-section-1 .calculator-form .currency-suffix {
  color: var(--gray-600);
}
.calculator-section-1 .calculator-form .currency-prefix {
  position: absolute;
  left: 0;
  padding-left: 15px;
  z-index: 1;
  pointer-events: none;
}
.calculator-section-1 .calculator-form .currency-input {
  padding-left: 30px;
  padding-right: 40px;
  width: 100%;
}
.calculator-section-1 .calculator-form .currency-suffix {
  position: absolute;
  right: 15px;
}
.calculator-section-1 .calculator-form-after-note {
  display: flex;
  flex-direction: column;
  gap: 20px;
  border-radius: var(--border-radius-6xl);
  background-color: var(--gray-100);
  padding: 30px;
}
.calculator-section-1 .calculator-form-after-note .form-after-note-title {
  font-weight: 500;
}
.calculator-section-1 .calculator-form-after-note .form-after-note-body {
  color: var(--gray-600);
  max-width: 540px;
}
.calculator-section-1 .calculator-right-side {
  display: flex;
  flex-direction: column;
  gap: 30px;
  flex: 1;
}
.calculator-section-1 .results-card {
  background-color: white;
  padding: 30px 20px;
  border-radius: var(--border-radius-6xl);
  flex: 1;
  min-width: 0;
  overflow: hidden;
}
.calculator-section-1 .results-card .card-title {
  color: var(--brand-700);
  font-weight: 600;
  margin-bottom: 15px;
}
.calculator-section-1 .results-card .card-savings-summary {
  background-color: var(--gray-50);
  border-radius: var(--border-radius-5xl) var(--border-radius-5xl) 0 0;
  padding: 25px 30px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-bottom: 2px;
  gap: 20px;
}
.calculator-section-1 .results-card .summary-column-2 {
  text-align: right;
}
.calculator-section-1 .results-card .summary-label {
  font-weight: 600;
}
.calculator-section-1 .results-card .summary-value {
  font-weight: 400;
  color: var(--purpleColor);
  margin-bottom: 5px;
}
.calculator-section-1 .results-card .chart-outer-container {
  background-color: var(--gray-50);
  border-radius: 0 0 var(--border-radius-5xl) var(--border-radius-5xl);
  padding: 10px 30px 20px 30px;
}
.calculator-section-1 .results-card .chart-title {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-bottom: 30px;
}
.calculator-section-1 .results-card .chart-name {
  width: auto;
}
.calculator-section-1 .results-card .chart-legend {
  font-size: 14px;
  display: flex;
  gap: 20px;
}
.calculator-section-1 .results-card .legend-item {
  display: flex;
  align-items: center;
}
.calculator-section-1 .results-card .legend-color {
  width: 8px;
  height: 16px;
  border-radius: 10px;
  margin-right: 8px;
}
.calculator-section-1 .results-card .current-plan {
  background: var(--greenGradient);
}
.calculator-section-1 .results-card .homestead-plan {
  background: var(--purpleGradient);
}
.calculator-section-1 .results-card .chart-container {
  position: relative;
  display: flex;
  align-items: stretch;
  height: var(--chart-container-height);
  font-size: 12px;
  font-weight: 400;
  color: var(--chart-text);
  width: 100%;
}
.calculator-section-1 .results-card .y-axis-lines {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.calculator-section-1 .results-card .y-axis-lines .x-label {
  opacity: 0;
}
.calculator-section-1 .results-card .single-y-axis-line {
  position: relative;
  height: 40px;
  width: 100%;
  border-top: 1px solid var(--chart-line-gray);
}
.calculator-section-1 .results-card .y-axis {
  height: 330px;
  position: relative;
  text-align: right;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 0 10px 0 30px;
}
.calculator-section-1 .results-card .annual-label {
  position: absolute;
  top: -10px;
  left: 0;
  height: var(--chart-height);
  width: 12px;
  line-height: 1;
  text-align: center;
  writing-mode: vertical-rl;
  transform: rotate(180deg);
}
.calculator-section-1 .results-card .y-label {
  position: relative;
  height: 40px;
  flex: none;
  top: -10px;
}
.calculator-section-1 .results-card .chart {
  display: flex;
  position: relative;
  overflow-x: auto;
  overflow-y: hidden;
  flex: 1;
}
.calculator-section-1 .results-card .year-group {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
  height: 100%;
}
.calculator-section-1 .results-card .year-group-spacer .bar-group {
  padding: 0px;
  width: 100%;
}
.calculator-section-1 .results-card .year-group-spacer .bar-group:before {
  margin: 0;
  opacity: 0;
}
.calculator-section-1 .results-card .year-group-spacer .x-label {
  opacity: 0;
}
.calculator-section-1 .results-card .bar-group {
  position: relative;
  display: flex;
  height: var(--chart-height);
  align-items: flex-end;
  gap: 8px;
  padding: 0 12px;
  border-bottom: 1px solid black;
  cursor: pointer;
}
.calculator-section-1 .results-card .bar-group:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 1px;
  height: 100%;
  background-color: var(--chart-line-gray);
  margin: 0 auto;
  transition: width 0.3s ease;
}
.calculator-section-1 .results-card .bar-group:hover:before {
  width: 100%;
  background-color: #e6e6e6;
}
.calculator-section-1 .results-card .bar-group-popup {
  position: absolute;
  top: 50px;
  left: 0;
  min-width: 240px;
  width: auto;
  height: auto;
  padding: 20px;
  background-color: white;
  z-index: -1;
  border: 1px solid rgba(0, 0, 0, 0.08);
  border-radius: var(--border-radius-md);
  box-shadow: 0px 6px 4px 2px rgba(0, 0, 0, 0.1);
  opacity: 0;
  transition: opacity 0.3s ease, z-index 0s 0.3s;
  pointer-events: none;
}
.calculator-section-1 .results-card .bar-group-popup-title {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 10px;
}
.calculator-section-1 .results-card .popup-current-spend,
.calculator-section-1 .results-card .popup-homestead-spend,
.calculator-section-1 .results-card .popup-savings {
  display: flex;
  align-items: center;
  font-size: 12px;
  line-height: 1.3;
  font-weight: 500;
  margin-bottom: 18px;
}
.calculator-section-1 .results-card .popup-current-spend span,
.calculator-section-1 .results-card .popup-homestead-spend span,
.calculator-section-1 .results-card .popup-savings span {
  font-weight: 600;
  margin-left: 4px;
}
.calculator-section-1 .results-card .popup-savings {
  margin-bottom: 0px;
  font-weight: 600;
}
.calculator-section-1 .results-card .popup-color-indicator {
  width: 16px;
  height: 16px;
  border-radius: var(--border-radius-xs);
  margin-right: 8px;
}
.calculator-section-1 .results-card .popup-color-indicator.current {
  background: var(--greenGradient);
}
.calculator-section-1 .results-card .popup-color-indicator.homestead {
  background: var(--purpleGradient);
}
.calculator-section-1 .results-card .bar-group:hover .bar-group-popup {
  opacity: 1;
  z-index: 400;
  transition: opacity 0.3s ease;
  pointer-events: auto;
}
.calculator-section-1 .results-card #bar-group-1 .bar-group-popup {
  left: -10px;
}
.calculator-section-1 .results-card #bar-group-2 .bar-group-popup,
.calculator-section-1 .results-card #bar-group-3 .bar-group-popup,
.calculator-section-1 .results-card #bar-group-4 .bar-group-popup {
  left: -50%;
}
.calculator-section-1 .results-card #bar-group-5 .bar-group-popup {
  left: auto;
  right: -10px;
}
.calculator-section-1 .results-card .x-label {
  height: var(--x-label-height);
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: none;
  width: 100%;
  text-align: center;
}
.calculator-section-1 .results-card .x-label:before {
  content: "";
  display: inline-block;
  width: 1px;
  height: 10px;
  background-color: black;
  margin: 0 auto;
}
.calculator-section-1 .results-card .bar {
  position: relative;
  width: 40px;
  height: 0;
  border-radius: var(--border-radius-6xl) var(--border-radius-6xl) 0 0;
  transition: height 0.6s ease-out;
}
.calculator-section-1 .results-card .current-bar {
  background: var(--greenGradient);
}
.calculator-section-1 .results-card .homestead-bar {
  background: var(--purpleGradient);
}
.calculator-section-1 .results-card .card-savings-breakdown {
  margin-top: 30px;
}
.calculator-section-1 .results-card .savings-breakdown-title {
  margin-bottom: 25px;
}
.calculator-section-1 .results-card .breakdown-item {
  display: flex;
  justify-content: space-between;
  gap: 15px;
  padding-bottom: 16px;
  font-size: 16px;
}
.calculator-section-1 .results-card .breakdown-label {
  flex: 1;
}
.calculator-section-1 .results-card .breakdown-value {
  text-align: right;
}
.calculator-section-1 .results-card .total-row {
  display: flex;
  justify-content: space-between;
  gap: 15px;
  padding-top: 16px;
  border-top: 2px solid #000;
  font-weight: 600;
}
@media screen and (max-width: 1200px) {
  .calculator-section-1 .results-card .card-savings-summary {
    flex-direction: column;
  }
  .calculator-section-1 .results-card .summary-column-2 {
    text-align: left;
  }
}
@media screen and (max-width: 1025px) {
  .calculator-section-1 .results-card .chart-title {
    flex-direction: column;
  }
}
@media screen and (max-width: 885px) {
  .calculator-section-1 .form-and-result-wrapper {
    flex-direction: column;
  }
  .calculator-section-1 .calculator-form {
    max-width: 100%;
    padding-right: 0;
  }
  .calculator-section-1 .chart-legend {
    font-size: 12px;
  }
  .calculator-section-1 .results-card {
    padding: 30px 10px;
  }
}
@media (max-width: 575px) {
  .calculator-section-1 .calcualtor-section-title {
    font-size: 24px;
    margin-bottom: 20px;
  }
  .calculator-section-1 .state-tool-tip-content {
    width: 250px;
  }
  .calculator-section-1 .results-card .summary-label {
    margin-bottom: 5px;
  }
  .calculator-section-1 .results-card .summary-value {
    font-size: 38px;
  }
  .calculator-section-1 .results-card #bar-group-1 .bar-group-popup {
    left: -5px;
  }
  .calculator-section-1 .calculator-form .currency-prefix {
    padding-left: 12px;
    left: 1px;
  }
  .calculator-section-1 .calculator-form .currency-input {
    padding-left: 32px;
  }
}